
  <div *ngIf="!editor.showing">
    <span [innerHtml]="value"></span>
    <button class="btn btn-default btn-xs" (click)="toggleEditor()">Edit</button>
  </div>
  <div *ngIf="editor.showing">
    <div *ngIf="field == 'textarea'">
      <textarea [(ngModel)]="editor.value" class="form-control"></textarea>
    </div>
    <div *ngIf="field != 'textarea'">
      <input type="{{field}}" [(ngModel)]="editor.value" class="form-control">
    </div>
    <hr>
    <button class="btn btn-success btn-xs" (click)="save()">Save</button>
    <button class="btn btn-default btn-xs" (click)="toggleEditor()">Cancel</button>
  </div>

